Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.performance
Class NotLogging

    java.lang.Object
      |
      +--org.apache.log4j.performance.NotLogging

public class NotLogging
extends Object

Measure the performance of evaluating whether to log or not to log, but not actually logging.

This program takes two arguments, a string which should be "true" for testing shipped code performance and "false" for testing debug-enabled performance the second argument is the run length of the measurement loops.

The results of the measurement (should) show that

- Category evaluation is independent of the length of the category name.

- As expected, using the `isDebugEnabled` and `isInfoEnabled` methods eliminates the overhead of message argument construction.

- Message argument construction can be an important slowing factor while evaluating whether to log or not.

Author:
  Ceki Gülcü

Constructor Summary
`NotLogging()`

Method Summary
`static void` | `main(String[] argv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotLogging

    public NotLogging()

Method Detail

### main

    public static void main(String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.